Bug 607716 - PXE install doesn't work on Lenovo W510
PXE install doesn't work on Lenovo W510
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 12:01 EDT by David Kovalsky
Modified: 2014-03-31 19:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (1) (942.89 KB, image/jpeg)
2010-06-24 12:04 EDT, David Kovalsky
no flags Details
screenshot (2) (1.32 MB, image/jpeg)
2010-06-24 12:04 EDT, David Kovalsky
no flags Details
screenshot (3) (1.33 MB, image/jpeg)
2010-06-24 12:05 EDT, David Kovalsky
no flags Details
ifconfig -a (745 bytes, text/plain)
2010-07-01 10:24 EDT, David Kovalsky
no flags Details
ls -al /sys/class/net/ (263 bytes, text/plain)
2010-07-01 10:26 EDT, David Kovalsky
no flags Details
ls -al /sys/class/net/eth0/ (1.27 KB, text/plain)
2010-07-01 10:26 EDT, David Kovalsky
no flags Details
pwd (37 bytes, text/plain)
2010-07-02 17:41 EDT, David Kovalsky
no flags Details
ls -al (1.64 KB, text/plain)
2010-07-02 17:42 EDT, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2010-06-24 12:01:19 EDT
I was trying to install 20100622 tree over PXE on Lenovo W510, but it fails, because installer doesn't bring up eth0. 

I get all the way to selecting the installation source, but when I select location I'm stuck, because I have no NIC up.

I can 100% reproduce this on my HW. Same results Client and Server trees.


So I installed via a DVD ISO, and lspci says:
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 06)
lsmod shows e1000e module present.

Attaching screenshots from installation.
Comment 1 David Kovalsky 2010-06-24 12:04:01 EDT
Created attachment 426631 [details]
screenshot (1)
Comment 2 David Kovalsky 2010-06-24 12:04:23 EDT
Created attachment 426632 [details]
screenshot (2)
Comment 3 David Kovalsky 2010-06-24 12:05:52 EDT
Created attachment 426633 [details]
screenshot (3)
Comment 4 RHEL Product and Program Management 2010-06-24 12:13:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 David Cantrell 2010-06-24 13:53:35 EDT
Passing this to NetworkManager so they can look at this one.  Could be anaconda, but I would prefer the NM guys look at this first.
Comment 6 Dan Williams 2010-06-28 14:21:40 EDT
Can you drop to a command prompt and do the following for me?

ls -al /sys/class/net/
ls -al /sys/class/net/eth0
Comment 7 David Kovalsky 2010-07-01 06:53:32 EDT
I'm unable to get to a point (via PXE) where I have shell running. I'll burn an ISO and try again. 

For now, here's the output from a running system I installed from an ISO about a week ago:
(running system)

[root@kovinek ~]# ls -al /sys/class/net/
total 0
drwxr-xr-x.  2 root root 0 Jul  1 12:50 .
drwxr-xr-x. 45 root root 0 Jul  1 12:49 ..
lrwxrwxrwx.  1 root root 0 Jul  1 12:49 eth0 -> ../../devices/pci0000:00/0000:00:19.0/net/eth0
lrwxrwxrwx.  1 root root 0 Jul  1 12:49 lo -> ../../devices/virtual/net/lo
lrwxrwxrwx.  1 root root 0 Jul  1 12:50 pan0 -> ../../devices/virtual/net/pan0
lrwxrwxrwx.  1 root root 0 Jul  1 12:49 wlan0 -> ../../devices/pci0000:00/0000:00:1c.1/0000:03:00.0/net/wlan0

[root@kovinek ~]# ls -al /sys/class/net/eth0/
total 0
drwxr-xr-x. 4 root root    0 Jul  1 12:49 .
drwxr-xr-x. 3 root root    0 Jul  1 12:49 ..
-r--r--r--. 1 root root 4096 Jul  1 12:49 address
-r--r--r--. 1 root root 4096 Jul  1 12:50 addr_len
-r--r--r--. 1 root root 4096 Jul  1 12:52 broadcast
-r--r--r--. 1 root root 4096 Jul  1 12:52 carrier
lrwxrwxrwx. 1 root root    0 Jul  1 12:49 device -> ../../../0000:00:19.0
-r--r--r--. 1 root root 4096 Jul  1 12:49 dev_id
-r--r--r--. 1 root root 4096 Jul  1 12:52 dormant
-r--r--r--. 1 root root 4096 Jul  1 12:52 duplex
-r--r--r--. 1 root root 4096 Jul  1 12:52 features
-rw-r--r--. 1 root root 4096 Jul  1 12:50 flags
-rw-r--r--. 1 root root 4096 Jul  1 12:52 ifalias
-r--r--r--. 1 root root 4096 Jul  1 12:50 ifindex
-r--r--r--. 1 root root 4096 Jul  1 12:52 iflink
-r--r--r--. 1 root root 4096 Jul  1 12:52 link_mode
-rw-r--r--. 1 root root 4096 Jul  1 12:52 mtu
-r--r--r--. 1 root root 4096 Jul  1 12:52 operstate
drwxr-xr-x. 2 root root    0 Jul  1 12:52 power
-r--r--r--. 1 root root 4096 Jul  1 12:52 speed
drwxr-xr-x. 2 root root    0 Jul  1 12:52 statistics
lrwxrwxrwx. 1 root root    0 Jul  1 12:49 subsystem -> ../../../../../class/net
-rw-r--r--. 1 root root 4096 Jul  1 12:52 tx_queue_len
-r--r--r--. 1 root root 4096 Jul  1 12:49 type
-rw-r--r--. 1 root root 4096 Jul  1 12:50 uevent
Comment 8 David Kovalsky 2010-07-01 10:23:55 EDT
Booted 20100629.1 Client ISO. Output attached.
Comment 9 David Kovalsky 2010-07-01 10:24:38 EDT
Created attachment 428450 [details]
ifconfig -a
Comment 10 David Kovalsky 2010-07-01 10:26:03 EDT
Created attachment 428451 [details]
ls -al /sys/class/net/
Comment 11 David Kovalsky 2010-07-01 10:26:38 EDT
Created attachment 428452 [details]
ls -al /sys/class/net/eth0/
Comment 12 Dan Williams 2010-07-01 13:39:04 EDT
Ok, next lets:

cd -P /sys/class/net/eth0/device
ls -al

thanks!
Comment 13 David Kovalsky 2010-07-02 17:41:05 EDT
Created attachment 429174 [details]
pwd
Comment 14 David Kovalsky 2010-07-02 17:42:06 EDT
Created attachment 429175 [details]
ls -al
Comment 15 David Kovalsky 2010-07-02 17:44:13 EDT
Here you go. Taken from booted ISO installed, same as comment #8
Comment 16 RHEL Product and Program Management 2010-07-15 11:20:43 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 17 John Ronciak 2010-07-15 14:10:17 EDT
This appears to be fixed in snap7.  After seeing this on earlier releases and then trying it with snap7 it can no longer be reproduced.
Comment 18 David Kovalsky 2010-07-19 11:55:00 EDT
Confirmed, work for me with Snapshot 7. Wohoo!

Thanks guys!
Comment 19 releng-rhel@redhat.com 2010-11-11 10:23:48 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.